Bug 97643 - New Port: news/p5-nzbperl: A simple nzb downloader script
Summary: New Port: news/p5-nzbperl: A simple nzb downloader script
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Aaron Dalton
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-05-22 20:30 UTC by Tim Welch
Modified: 2006-06-02 23:29 UTC (History)
0 users

See Also:


Attachments
nzbperl.shar (2.88 KB, text/plain)
2006-05-22 20:30 UTC, Tim Welch
no flags Details
nzbperl.shar (2.81 KB, application/octet-stream)
2006-05-22 20:47 UTC, Tim Welch
no flags Details
nzbperl.shar (2.90 KB, TEXT/PLAIN; charset=US-ASCII)
2006-05-22 21:58 UTC, Tim Welch
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Welch 2006-05-22 20:30:19 UTC
	Nzbperl is an nzb downloader script written in perl. It features
on-the-fly bandwidth control, multiple servers, automated parts downloading,
assembling and decoding, yenc and uuencoded file decoding with a very
small footprint.
Comment 1 Tim Welch 2006-05-22 20:47:16 UTC
On second thought, and Pav's suggestion, name port news/nzbperl rather
than p5-nzbperl. Well, not like me to have a simple pr anyway I suppose :)
Comment 2 Tim Welch 2006-05-22 21:58:21 UTC
Squirrelmail encoded it. Ugh. Try 3.
Comment 3 Tim Welch 2006-05-22 22:28:02 UTC
Ok, last try. Honest.

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	nzbperl
#	nzbperl/Makefile
#	nzbperl/distinfo
#	nzbperl/pkg-descr
#	nzbperl/pkg-message
#
echo c - nzbperl
mkdir -p nzbperl > /dev/null 2>&1
echo x - nzbperl/Makefile
sed 's/^X//' >nzbperl/Makefile << 'END-of-nzbperl/Makefile'
X# New ports collection makefile for:	nzbperl
X# Date created:				20 May 2006
X# Whom:					Tim Welch <ports@thepentagon.org>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	nzbperl
XPORTVERSION=	0.6.8
XCATEGORIES=	news
XMASTER_SITES=	http://noisybox.net/computers/nzbperl/
XDISTNAME=	nzbperl.pl
XEXTRACT_SUFX=
X
XMAINTAINER=	ports@thepentagon.org
XCOMMENT=	A perl script for downloading nzb files
X
XRUN_DEPENDS=	${SITE_PERL}/XML/DOM.pm:${PORTSDIR}/textproc/p5-XML-DOM \
X		${SITE_PERL}/${PERL_ARCH}/Term/ReadKey.pm:${PORTSDIR}/devel/p5-Term-ReadKey \
X		${LOCALBASE}/bin/uudeview:${PORTSDIR}/converters/uudeview
X
XPLIST_FILES=	bin/nzbperl
XNO_BUILD=	yes
XUSE_PERL5_RUN=	yes
X
X.if defined(WITH_SSL)
XRUN_DEPENDS+=	${SITE_PERL}/${PERL_ARCH}/Net/SSLeay.pm:${PORTSDIR}/security/p5-Net-SSLeay
X.endif
X
Xdo-extract:
X	@${MKDIR} ${WRKDIR}
X	@${CP} ${DISTDIR}/${DISTNAME} ${WRKDIR}
X	@${REINPLACE_CMD} -e \
X		"s,#!/usr/bin/perl -w,#!/usr/local/bin/perl -w," \
X		${WRKDIR}/nzbperl.pl
X
Xdo-install:
X	${INSTALL_SCRIPT} ${WRKDIR}/${DISTNAME} ${PREFIX}/bin/${PORTNAME}
X
Xpost-install:
X	@${CAT} ${PKGMESSAGE}
X
X.include <bsd.port.mk>
END-of-nzbperl/Makefile
echo x - nzbperl/distinfo
sed 's/^X//' >nzbperl/distinfo << 'END-of-nzbperl/distinfo'
XMD5 (nzbperl.pl) = 70e64b7cd4ff9c7c098bf8dffeb62578
XSHA256 (nzbperl.pl) = 6a116e647b45d4ccecd06f20a7363e4d69f20082df60fe373fb9c219cabe9185
XSIZE (nzbperl.pl) = 99238
END-of-nzbperl/distinfo
echo x - nzbperl/pkg-descr
sed 's/^X//' >nzbperl/pkg-descr << 'END-of-nzbperl/pkg-descr'
XNzbPerl is a perl script for downloading nzb files. It supports automated
Xparsing and sorting of nzb files, multiple servers, automated downloading,
Xassmbling and decoding of message parts, and has user controlled bandwidth 
Xthrottling during runtime.
X
XWWW: http://noisybox.net/computers/nzbperl/
END-of-nzbperl/pkg-descr
echo x - nzbperl/pkg-message
sed 's/^X//' >nzbperl/pkg-message << 'END-of-nzbperl/pkg-message'
X================================================================
X
XNOTE:
X	Nzbperl prefers a threaded perl, which FreeBSD does not
Xship with. Either lang/perl5.8 has to be compiled with 
XWITH_THREADS=1 or nzbperl must be run with -dthreadct=0. Note
Xthat nzbperl will pause downloading while each file part is
Xdecoded if a threaded perl is not used.
X
X================================================================
END-of-nzbperl/pkg-message
exit
Comment 4 Aaron Dalton freebsd_committer 2006-06-02 22:44:24 UTC
Responsible Changed
From-To: freebsd-ports-bugs->aaron

I'll take it.
Comment 5 Aaron Dalton freebsd_committer 2006-06-02 23:29:27 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!